Bug 699034 - Gedit-latex-plugin doesn't load.
Gedit-latex-plugin doesn't load.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit-latex-plugin (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 14:27 EDT by Zdenek Janecek
Modified: 2012-08-06 16:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 16:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Janecek 2011-04-22 14:27:17 EDT
Description of problem:
Plug-in is installed, but he isn't shown in the Gedit.

Version-Release number of selected component (if applicable):
Name        : gedit
Arch        : i686
Epoch       : 2
Version     : 3.0.1
Release     : 1.fc15

Name        : gedit-latex-plugin
Arch        : i686
Version     : 0.2
Release     : 2.fc15

TeXlive 2010 from the jnovy:
http://fedoraproject.org/wiki/Features/TeXLive

and GNOME3...

How reproducible:
Anytime

Steps to Reproduce:
1. install package
2. open gedit
3. look for Plugin in the configuration
  
Actual results:
It isn't here.

Expected results:
Plugin ready for the enabling. In the file menu appears "new LaTeX document"

Additional info:
SELinux?
Comment 1 Zdenek Janecek 2011-04-26 06:21:19 EDT
Plugin is installed in the /usr/lib/gedit-2/plugins, but others are in the /usr/lib/gedit/plugins. So I copied plugin files to the "gedit/plugins".

Then I get:
(gedit:1734): libpeas-WARNING **: Could not find 'Module' in '/usr/lib/gedit/plugins/Gedit/LaTeXPlugin.plugin'

(gedit:1734): libpeas-WARNING **: Error loading '/usr/lib/gedit/plugins/Gedit/LaTeXPlugin.plugin'

I kept LaTeXPlugin.plugin from the repository.
Comment 2 Sergio Pascual 2011-04-26 06:44:26 EDT
It seems that the package hasn't adapted to the new plugin API of gedit 3.0
Comment 3 Sergio Pascual 2011-04-26 18:27:29 EDT
I have sent an email to the upstream maintainer (sourceforge bug report system seems broken at the moment) because this is broken beyond my capabilities to repair it. Let's see what happens
Comment 4 Sergio Pascual 2011-05-04 18:58:38 EDT
Upstream bug report

https://sourceforge.net/tracker/?func=detail&aid=3297713&group_id=204144&atid=988428
Comment 5 Fedora End Of Life 2012-08-06 16:05:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2012-08-06 16:05:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.